Package edu.msu.cme.rdp.classifier.train.validation.movingwindow

# Class FindWindowFrame

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.movingwindow.FindWindowFrame

public class FindWindowFrame extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`step`
`static final int`
`window_size`

## Constructor Summary

Constructors
Constructor
Description
`FindWindowFrame()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList`
`find(String seqString)`
Given the aligned E.coli seqstring, find the corresponding model position for each window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### window_size

public static final int window_size

See Also:
  - Constant Field Values

### step

public static final int step

See Also:
  - Constant Field Values

## Constructor Details

### FindWindowFrame

public FindWindowFrame()

## Method Details

### find

public ArrayList find(String seqString) throws IOException
Given the aligned E.coli seqstring, find the corresponding model position for each window. The model position and the ecoli position starts with 1

Throws:
  `IOException`